BOS_STARTUP(8)

NAME
bos_startup - Starts a process without changing its status flag

SYNOPSIS
bos startup -server <machine name> [-instance <instances>+]
    [-cell <cell name>] [-noauth] [-localauth] [-help]

bos startu -s <machine name> [-i <instances>+]
    [-c <cell name>] [-n] [-l] [-h]

DESCRIPTION
The bos startup command starts, on the server machine named by the -server argument, either:

•   All AFS server processes not currently running but marked with the "Run" status flag in the /usr/afs/local/BosConfig file.

•   Each process specified by -instance argument, even if its status flag in the BosConfig file is "NotRun".

To start a process and set its BosConfig status flag to "Run", use the bos start command instead.

OPTIONS

-server <machine name>
    Indicates the server machine on which to start processes. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

-instance <instances>+
    Names each process to start. Use the process name assigned with the -instance argument to the bos create command. The output from the bos status command lists the names.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command starts all processes marked with status flag "Run" in the BosConfig file on the machine "fs3.abc.com" that are not currently running.

   % bos startup fs3.abc.com

The following command starts the buserver, kaserver, ptserver, and vlserver processes running on the machine "db2.abc.com", even if their status flags in the BosConfig file are "NotRun".

   % bos startup -server db2.abc.com \
       -instance buserver kaserver ptserver vlserver

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
BosConfig(5), KeyFile(5), UserList(5), bos(8), bos_create(8), bos_start(8), bos_status(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.